<mat-form-field class="search-input dense-3" subscriptSizing="dynamic">
  <mat-icon matIconPrefix>search</mat-icon>

  @if (cva.value$()) {
  <button mat-icon-button matIconSuffix (click)="cva.value = ''">
    <mat-icon matIconSuffix>clear</mat-icon>
  </button>
  }

  <input
    (blur)="cva.markAsTouched()"
    (input)="cva.value = $any($event.target).value"
    [disabled]="$any(cva.disabled$())"
    [placeholder]="placeholder()"
    [value]="cva.value$()"
    matInput
  />
</mat-form-field>
